﻿using System;
using System.Windows.Forms;
using NationalInstruments.DAQmx;
using System.Windows.Forms.DataVisualization.Charting;

namespace LightSensorApp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            chart1.Series.Clear();
            chart1.Series.Add("My Data");
            chart1.Series["My Data"].ChartType = SeriesChartType.Line;

            timer1.Interval = 1000;
            timer1.Start();
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            Task analogInTask = new Task();

            AIChannel myAIChannel;

            myAIChannel = analogInTask.AIChannels.CreateVoltageChannel(
                "dev1/ai0",
                "myAIChannel",
                AITerminalConfiguration.Rse,
                0,
                5,
                AIVoltageUnits.Volts
                );

            AnalogSingleChannelReader reader = new AnalogSingleChannelReader(analogInTask.Stream);

            double DaqValue = reader.ReadSingleSample();

            txtLightData.Text = DaqValue.ToString("0.00");

            chart1.Series["My Data"].Points.AddY(DaqValue);

        }
    }
}
